contents
  NiftoMeter Control

Properties

Description

The NiftoMeter control is used to show progress during lengthy operations.

File Name

NIFTOMET.VBX

Object Type

NiftoMeter

Remarks

This control is hopefully straightforward to use.  Please see the README file for further assistance.

Distribution Note	When you create and distribute applications that use the NiftoMeter control, you should install the file NIFTOMET.VBX in the customer's Microsoft Windows \SYSTEM subdirectory. The Visual Basic Setup Kit included with the Professional Edition provides tools to help you write setup programs that install your applications correctly.


TotalItems
TotalItems Property, NiftoMeter Control

Description

Determines the total number of items to show 100%.

Usage

[form.]NiftoMeter.TotalItems[ = total&]

Data Type

Long


CompletedItems
CompletedItems Property, NiftoMeter Control

Description

Determines the number of items completed.

Usage

[form.]NiftoMeter.CompletedItems[ = completed&]

Data Type

Long


BevelInner
BevelInner Property, NiftoMeter Control

Description

Determines the style of the Inner Bevel of the meter.

Usage

[form.]NiftoMeter.BevelInner[ = setting%]

Remarks

The BevelInner property settings are:

Setting 	Description

0 	None. No inner bevel is drawn.

1	(Default) Inset. The inner bevel appears inset into the screen.

2	Raised. The inner bevel appears raised off the screen.

Use this property with the BevelOuter, BorderWidth, and BevelWidth properties.

Data Type

Integer (Enumerated)


BevelOuter
BevelOuter Property, NiftoMeter Control

Description

Determines the style of the Outer Bevel of the meter.

Usage

[form.]NiftoMeter.BevelOuter[ = setting%]

Remarks

The BevelOuter property settings are:

Setting 	Description

0 	None. No outer bevel is drawn.

1	Inset. The outer bevel appears inset into the screen.

2	(Default) Raised. The outer bevel appears raised off the screen.

Use this property with the BevelInner, BorderWidth, and BevelWidth properties.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property, NiftoMeter Control

Description

Sets or returns the width of the outer and inner bevel of the panel; determines the amount of the three-dimensional shadow effect.

Usage

[form.]NiftoMeter.BevelWidth[ = width%]

Remarks

The setting for this property determines the number of pixels used to draw the inner and outer bevels that surround the panel.

Use this property in conjunction with the BevelInner, BevelOuter, and BorderWidth

Data Type

Integer


BorderWidth
BorderWidth Property, NiftoMeter Control

Description

Sets or returns the width of the border, the distance between the outer and inner bevels of the panel.

Usage

[form.]NiftoMeter.BorderWidth[ = width%]

Remarks

The setting for this property determines the number of pixels between the inner and outer bevels that surround the panel.

Use this property in conjunction with the BevelInner, BevelOuter, and BevelWidth properties.

Data Type

Integer


Properties

All of the properties for this control are listed in the following table.  Properties that apply only to this control, or require special consideration when used with it, are marked with an asterisk (*).  See the Visual Basic Language Reference or Help for documentation of the remaining properties.

BackColor	FontBold	Height	Top
*BevelInner	FontItalic	hWnd	*TotalItems
*BevelOuter	FontName	Index	Visible
*BevelWidth	FontSize	Left	Width
*BorderWidth	FontStrikethru	Name
BorderStyle	FontUnderline	Parent
*CompletedItems	ForeColor	Tag